ALTER TABLE `users` ADD `realFirstName` VARCHAR(250) NULL,
ADD `realLastName` VARCHAR(250) NULL AFTER `realFirstName`,
ADD `userLevel` CHAR(1) NULL AFTER `realLastName`,
CHANGE `password` `password` VARCHAR(250) NULL;
INSERT INTO `users` VALUES (NULL, 'brewblog', 'e918ea1cfbf1745c9de9bf99a45278ba', 'Joe', 'Brewer', '1');
INSERT INTO `users` VALUES (NULL, 'brewblog2','6dfc6edb767281798782c503a3fe4c83', 'Joe Two', 'Brewer Two', '1');

ALTER TABLE `preferences` ADD `mode` CHAR(1) NULL;
UPDATE `preferences` SET `mode` = '1' WHERE `preferences`.`id` =1 LIMIT 1 ;

ALTER TABLE `brewing` ADD `brewMashGravity` VARCHAR(10) NULL ,
ADD `brewPreBoilAmt` VARCHAR(10) NULL AFTER `brewMashGravity`,
ADD `brewBrewerID` VARCHAR(250) NULL AFTER `brewMashGravity`;

ALTER TABLE `recipes` ADD `brewBrewerID` VARCHAR(250) NULL;

ALTER TABLE `upcoming` ADD `upcomingRecipeID` VARCHAR(10) NULL,
ADD `brewBrewerID` VARCHAR(250) NULL AFTER `upcomingRecipeID`;

DROP TABLE `malt`;

CREATE TABLE `malt` (
  `id` tinyint(4) NOT NULL auto_increment,
  `maltName` varchar(250) default NULL,
  `maltLovibond` varchar(10) default NULL,
  `maltInfo` text,
  `maltCategory` char(1) default NULL,
  `maltYield` varchar(250) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

INSERT INTO `malt` VALUES (1, 'Crystal Malt 10L', '10', 'Sweet, mild caramel flavor and a golden color. Use in light lagers and light ales.', '2', '35.04');
INSERT INTO `malt` VALUES (2, 'Crystal Malt 20L', '20', 'Sweet, mild caramel flavor and a golden color. Use in light lagers and light ales.', '2', '34.00');
INSERT INTO `malt` VALUES (3, 'Crystal Malt 30L', '30', 'Sweet, mild caramel flavor and a golden color. Use in light lagers and light ales.', '2', '34.00');
INSERT INTO `malt` VALUES (4, 'Crystal Malt 40L', '40', 'Sweet, mild caramel flavor and a golden color. Use in light lagers and light ales.', '2', '34.00');
INSERT INTO `malt` VALUES (5, 'Crystal Malt 60L', '60', 'Sweet, mild caramel flavor and a golden color. Use in amber and brown ales.', '2', '34.02');
INSERT INTO `malt` VALUES (6, 'Crystal Malt 80L', '80', 'Sweet, mild caramel flavor and a golden color. For porters and stouts', '2', '34.02');
INSERT INTO `malt` VALUES (7, 'Crystal Malt 90L', '90', 'Pronounced caramel flavor and a red color. For stouts, porters and black beers.', '2', '33.00');
INSERT INTO `malt` VALUES (8, 'Crystal Malt 120L', '120', 'Pronounced caramel flavor and a red color. For stouts, porters and black beers.', '2', '33.00');
INSERT INTO `malt` VALUES (9, 'American Black Patent', '127', 'Provides color and sharp flavor. Use in stouts and porters.', '2', '25.01');
INSERT INTO `malt` VALUES (10, 'American Roasted Barley', '127', 'Sweet, grainy, coffee flavor and a red to deep brown color.', '2', '25.00');
INSERT INTO `malt` VALUES (11, 'American Black Barley', '127', 'Provides dryness. Unmalted.', '2', '25.00');
INSERT INTO `malt` VALUES (12, 'American Chocolate Malt', '127', 'Use in all types to adjust color and add nutty, toasted flavor. Chocolate flavor.', '2', '28.00');
INSERT INTO `malt` VALUES (13, 'American Dextrin (Cara-Pils) Malt', '1', 'Balances body and flavor without adding color, aids in head retention. For any beer.', '2', '32.01');
INSERT INTO `malt` VALUES (14, 'American Pale Malt (2-Row)', '1', 'Smooth, less grainy, moderate malt flavor. Basic malt for all beer styles.', '2', '38.00');
INSERT INTO `malt` VALUES (15, 'American Munich Malt', '10', 'Sweet, toasted flavor and aroma. For Oktoberfests and malty styles.', '2', '35.03');
INSERT INTO `malt` VALUES (16, 'American Special Roast', '50', 'Provides a deep golden to brown color for ales. Use in all darker ales.', '2', '31.00');
INSERT INTO `malt` VALUES (17, 'American Vienna Malt', '4', 'Increases malty flavor, provides balance. Use in Vienna, Marzen and Oktoberfest.', '2', '35.02');
INSERT INTO `malt` VALUES (19, 'American Victory Malt', '25', 'Provides a deep golden to brown color. Use in nut brown ales, IPAs and Scottish ales.', '2', '35.01');
INSERT INTO `malt` VALUES (20, 'American Pale Malt (6-Row)', '1', 'Moderate malt flavor. Basic malt for all beer styles.', '1', '35.00');
INSERT INTO `malt` VALUES (21, 'American Wheat Malt', '2', 'Light flavor and creamy head. For American weizenbier, weissbier and dunkelweiss.', '1', '37.01');
INSERT INTO `malt` VALUES (22, 'American White Wheat Malt', '2', 'Imparts a malty flavor. For American wheat beers, wheat bock and doppel bock.', '1', '37.01');
INSERT INTO `malt` VALUES (23, 'Belgian Aromatic Malt', '20-26', 'Imparts a big malt aroma. Use in brown ales, Belgian dubbels and tripels.', '2', '34.00');
INSERT INTO `malt` VALUES (24, 'Belgian Biscuit Malt', '23-25', 'Warm baked biscuit flavor and aroma. Increases body. Use in Belgian beers.', '2', '35.01');
INSERT INTO `malt` VALUES (26, 'Belgian Caravienne Malt', '21-22', 'Light crystal malt. Used in lighter Abbey or Trappist style ales.', '2', '35.04');
INSERT INTO `malt` VALUES (27, 'Belgian Pale Ale Malt', '2.7-3.8', 'Use as a base malt for any Belgian style beer with full body.', '1', '38.00');
INSERT INTO `malt` VALUES (28, 'Belgian Plisen Malt', '1.5', 'Light color, malty flavor. For pilsners, dubbels, tripels, whites and specialty ales.', '1', '37.00');
INSERT INTO `malt` VALUES (29, 'Belgian Special B Malt', '130-220', 'Extreme caramel aroma and flavor. For dark Abbey beers and other dark beers.', '2', '31.00');
INSERT INTO `malt` VALUES (30, 'British Amber Malt', '35', 'Roasted malt used in British milds, old ales, brown ales, nut brown ales.', '2', '34.00');
INSERT INTO `malt` VALUES (31, 'British Brown Malt', '65', 'Imparts a dry, biscuit flavor. Use in porters, brown, nut brown and Belgian ales.', '2', '34.02');
INSERT INTO `malt` VALUES (32, 'British Maris Otter Pale Malt', '3', 'Premium base malt for any beer. Good for pale ales. ', '1', '38.00');
INSERT INTO `malt` VALUES (33, 'British Pale Ale Malt', '2.2', 'Moderate malt flavor. Used to produce traditional English and Scottish style ales. ', '1', '38.00');
INSERT INTO `malt` VALUES (34, 'British Crystal Malt', '55-60', 'Sweet caramel flavor, adds mouthfeel and head retention. For pale or amber ales. ', '2', '34.02');
INSERT INTO `malt` VALUES (35, 'British Dark Crystal Malt', '145-188', 'Sweet caramel flavor, mouthfeel. For porters, stouts, old ales and any dark ale.', '2', '33.00');
INSERT INTO `malt` VALUES (36, 'British Mild Ale Malt', '2.3-2.7', 'Dry, nutty malty flavor. Promotes body. Use in English mild ales.', '1', '38.00');
INSERT INTO `malt` VALUES (37, 'British Dextrin (Cara-Pils) Malt', '10-14', 'Adds body; aids head retention. For porters, stouts and heavier bodied beers.', '2', '32.01');
INSERT INTO `malt` VALUES (38, 'British Chocolate Malt', '395-475', 'Nutty, toasted flavor, brown color. Use as a specialty grain in brown ales, porters, stouts and bocks.', '2', '28.00');
INSERT INTO `malt` VALUES (39, 'British Black Patent Malt', '500-600', 'Dry, burnt, chalky character. Use in porters, stouts, brown ales and dark lagers.', '2', '25.01');
INSERT INTO `malt` VALUES (40, 'British Peat Smoked Malt', '2.8', 'Imparts a robust smoky flavor and aroma. For Scottish ales and wee heavies.', '2', '38.00');
INSERT INTO `malt` VALUES (41, 'British Roasted Barley', '500', 'Dry, roasted flavor, amber color. For stouts, porters and Scottish ales.', '2', '25.00');
INSERT INTO `malt` VALUES (42, 'British Toasted Pale Malt', '25', 'Imparts nutty flavor and aroma. Use in IPAs and Scottish ales.', '2', '34.00');
INSERT INTO `malt` VALUES (43, 'British Wheat Malt', '2', 'Light flavor, creamy head. For wheat beers, stouts, doppelbocks and alt beers. ', '1', '37.01');
INSERT INTO `malt` VALUES (44, 'British Torrified Wheat', '1-1.5', 'Puffed wheat created by high heat. Use in pale ales, bitters and milds.', '2', '37.01');
INSERT INTO `malt` VALUES (45, 'German Acidulated (Sauer) Malt', '1.7-2.8', 'High lactic acid. For lambics, sour mash beers, Irish stout, pilsners and wheats. ', '1', '38.00');
INSERT INTO `malt` VALUES (46, 'German Carafa I', '300-340', 'Gives deep aroma and color to dark beers, bocks, stout, alt and schwarzbier. ', '2', '25.00');
INSERT INTO `malt` VALUES (47, 'German Carafa II', '375-450', 'Adds aroma, color and body.', '2', '25.00');
INSERT INTO `malt` VALUES (48, 'German Carafa III', '490-560', 'Adds aroma, color and body.', '2', '25.00');
INSERT INTO `malt` VALUES (49, 'German Chocolate Wheat Malt', '375-450', 'Intensifies aroma; improves color. For dark ales, alt, dark wheat, stout and porter.', '2', '28.00');
INSERT INTO `malt` VALUES (50, 'German Chocolate Rye Malt', '190-300', 'Enhances aroma of dark ales and improves color. For dunkel rye wheat and ale.', '2', '28.00');
INSERT INTO `malt` VALUES (51, 'German CaraHell (Light Crystal) Malt', '8-12', 'For light colored beer for body; hefeweizen, pale ale, golden ale, Oktoberfest.', '2', '35.04');
INSERT INTO `malt` VALUES (52, 'German CaraMunich Malt I', '30-38', 'Provides body. For Oktoberfest, bock, porter, stout, red, amber and brown ales. Results include increased fullness, heightened aroma and fuller flavor. Use 1 - 5% for light or pale beers.', '2', '34.00');
INSERT INTO `malt` VALUES (53, 'German CaraMunich Malt II', '42-50', 'Provides body. For Oktoberfest, bock, porter, stout, red, amber and brown ales. Results in increased fullness, heightened aroma, fuller flavor and deep color. Use 5 -10% for darker beers. ', '2', '34.02');
INSERT INTO `malt` VALUES (54, 'German CaraMunich Malt III', '53-60', 'Provides body. For Oktoberfest, bock, porter, stout, red, amber and brown ales. Dark crystal. Results in deep saturated color and a fuller flavor.', '2', '34.02');
INSERT INTO `malt` VALUES (55, 'German Light Munich Malt', '5-6', 'For a malty, nutty flavor. Lagers, Oktoberfests and bock beer. ', '1', '35.03');
INSERT INTO `malt` VALUES (56, 'German Dark Munich Malt', '8-10', 'Enhances body and aroma. Stout, schwarzbier, brown ale, dark and amber ales.', '2', '35.03');
INSERT INTO `malt` VALUES (57, 'German Melanoidin Malt', '23-31', 'For amber lagers and ales, dark lagers and ales, Scottish &amp; red ales. Imparts a reddish hue.', '2', '35.04');
INSERT INTO `malt` VALUES (58, 'German Rauch Smoked Malt', '2-4', 'For rauchbier, kellerbier, smoked porters, Scottish ales and barleywines.', '2', '38.00');
INSERT INTO `malt` VALUES (59, 'German Rye Malt', '2.8-4.3', 'Dry character. Can use as a base malt. For seasonal beers, roggenbier and ales. ', '1', '38.00');
INSERT INTO `malt` VALUES (60, 'German Wheat Malt Light', '1.5-2', 'Typical top fermented aroma; for wheat beers.', '1', '37.01');
INSERT INTO `malt` VALUES (61, 'German Wheat Malt Dark', '6-8', 'Typical top fermented aroma; for wheat beers.', '1', '37.01');
INSERT INTO `malt` VALUES (62, 'German Caramel Wheat Malt', '38-53', 'For dark ales, hefeweizen, dunkelweizen, wheat bocks and double bocks.', '2', '37.01');
INSERT INTO `malt` VALUES (63, 'British Carastan Malt', '30', 'A British malt similar to American or Belgian crystal malts.', '2', '34.00');
INSERT INTO `malt` VALUES (64, 'Honey Malt', '25', 'Malt sweetness and honey like flavor and aroma.', '2', '34.00');
INSERT INTO `malt` VALUES (65, 'Scottish Golden Promise', '2.4', 'Scottish pale ale malt; base malt for all Scottish beers.', '1', '38.00');
INSERT INTO `malt` VALUES (66, 'Flaked Barley', '1.5', 'Helps head retention, imparts creamy smoothness. For porters and stouts.', '3', '32.02');
INSERT INTO `malt` VALUES (67, 'Flaked Maize', '1', 'Lightens body and color. For light American pilsners and ales.', '3', '39.00');
INSERT INTO `malt` VALUES (68, 'Flaked Oats', '1', 'Adds body and creamy head. For stouts and oat ales.', '3', '32.01');
INSERT INTO `malt` VALUES (69, 'Flaked Rye', '2', 'Imparts a dry, crisp character. Use in rye beers.', '3', '36.00');
INSERT INTO `malt` VALUES (70, 'Flaked Wheat', '2', 'Imparts a wheat flavor and hazy color. For wheat beers and Belgian white beers.', '3', '36.00');
INSERT INTO `malt` VALUES (71, 'Grits', '1-1.5', 'Imparts a corn/grain taste. Use in American lagers.', '3', '39.00');
INSERT INTO `malt` VALUES (72, 'German Vienna Malt', '3', 'Increases malty flavor, provides balance. Use in Vienna, Marzen and Oktoberfest.', '2', '35.02');
INSERT INTO `malt` VALUES (73, 'Scottish Peated Malt', '3', 'Imparts a smoky flavor.', '2', '38.00');
INSERT INTO `malt` VALUES (74, 'Oats (Steel Cut)', '10', 'Imparts oatmeal flavor for stouts.', '3', '32.01');
INSERT INTO `malt` VALUES (75, 'Flaked Rice', '1', 'Imparts a light, crisp finish.', '3', '38.01');
INSERT INTO `malt` VALUES (76, 'Rice Hulls', '1', 'Used as a filtering bed after mashing.', '3', '38.01');
INSERT INTO `malt` VALUES (77, 'German Carafa I De-Husked Malt', '400', 'De-husked for a less bitter taste. Great for use in Dark beers, Stouts, Altbier, and Bockbier. The unique de-husked barley adds aroma, color and body, with a milder smoother flavor that can be achieved with whole grains.', '2', '25.00');
INSERT INTO `malt` VALUES (78, 'German Carafa II De-Husked Malt', '500-600', 'De-husked for a less bitter taste. Great for use in Dark beers, Stouts, Altbier, and Bockbier. The unique de-husked barley adds aroma, color and body, with a milder smoother flavor that can be achieved with whole grains.', '2', '25.00');
INSERT INTO `malt` VALUES (79, 'German Carafa III De-Husked Malt', '650-750', 'De-husked for a less bitter taste. Great for use in Dark beers, Stouts, Altbier, and Bockbier. The unique de-husked barley adds aroma, color and body, with a milder smoother flavor that can be achieved with whole grains.', '2', '25.00');
INSERT INTO `malt` VALUES (81, 'German Wheat Chocolate Malt', '500', 'A roasted wheat malt used Altbier or Dark Wheat Beer (Ales). It results in an intensified aroma and improved color and a mild roasted flavor.', '2', '28.00');
INSERT INTO `malt` VALUES (82, 'Belgian Munich Malt', '3', 'Used to increase malt aroma and body with slightly more color. ', '2', '35.03');
INSERT INTO `malt` VALUES (83, 'German Pilsen Malt (2-Row)', '1.5', 'Light color, malty flavor. For pilsners, lagers.', NULL, '37.00');
INSERT INTO `malt` VALUES (84, 'American Pilsen Malt', '1-2', 'Light color, malty flavor. For pilsners, lagers.', NULL, '37.00');
