CREATE TABLE `awards` (
  `id` tinyint(5) NOT NULL auto_increment,
  `awardBrewID` varchar(10) default NULL,
  `awardContest` varchar(250) default NULL,
  `awardContestURL` varchar(250) default NULL,
  `awardDate` date default NULL,
  `awardStyle` varchar(250) default NULL,
  `awardPlace` varchar(250) default NULL,
  `brewBrewerID` varchar(250) default NULL,
  `awardBrewName` varchar(250) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;


CREATE TABLE `adjuncts` (
  `id` tinyint(4) NOT NULL auto_increment,
  `adjunctName` varchar(250) default NULL,
  `adjunctLovibond` varchar(10) default NULL,
  `adjunctInfo` text,
  `adjunctCategory` char(1) default NULL,
  `adjunctYield` varchar(250) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

INSERT INTO `adjuncts` VALUES (1, 'Flaked Barley', '1.5', 'Helps head retention, imparts creamy smoothness. For porters and stouts.', '3', '32.02');
INSERT INTO `adjuncts` VALUES (2, 'Flaked Maize', '1', 'Lightens body and color. For light American pilsners and ales.', '3', '39.00');
INSERT INTO `adjuncts` VALUES (3, 'Flaked Oats', '1', 'Adds body and creamy head. For stouts and oat ales.', '3', '32.01');
INSERT INTO `adjuncts` VALUES (4, 'Flaked Rye', '2', 'Imparts a dry, crisp character. Use in rye beers.', '3', '36.00');
INSERT INTO `adjuncts` VALUES (5, 'Flaked Wheat', '2', 'Imparts a wheat flavor and hazy color. For wheat beers and Belgian white beers.', '3', '36.00');
INSERT INTO `adjuncts` VALUES (6, 'Grits', '1', 'Imparts a corn/grain taste. Use in American lagers.', '3', '39.00');
INSERT INTO `adjuncts` VALUES (7, 'Oats (Steel Cut)', '10', 'Imparts oatmeal flavor for stouts.', '3', '32.01');
INSERT INTO `adjuncts` VALUES (8, 'Flaked Rice', '1', 'Imparts a light, crisp finish.', '3', '38.01');
INSERT INTO `adjuncts` VALUES (9, 'Rice Hulls', '1', 'Used as a filtering bed after mashing.', '3', '38.01');
INSERT INTO `adjuncts` VALUES (10, 'Honey (Clover)', '0.1', NULL, '3', '32.00');
INSERT INTO `adjuncts` VALUES (11, 'Sucrose (Table Sugar)', '0', NULL, '3', '46.00');
INSERT INTO `adjuncts` VALUES (12, 'Brown Sugar (Light)', '30', NULL, '3', '46.00');
INSERT INTO `adjuncts` VALUES (13, 'Brown Sugar (Dark)', '45', NULL, '3', '46.00');
INSERT INTO `adjuncts` VALUES (14, 'Molasses', '45', NULL, NULL, '46.00');
INSERT INTO `adjuncts` VALUES (15, 'Corn Sugar (Dextrose)', '1', NULL, NULL, '46.00');
INSERT INTO `adjuncts` VALUES (16, 'Maple Syrup (Light)', '20', NULL, NULL, '46.00');
INSERT INTO `adjuncts` VALUES (17, 'Maple Syrup (Dark)', '45', NULL, NULL, '46.00');
INSERT INTO `adjuncts` VALUES (18, 'Candi Sugar (Clear)', '0', NULL, NULL, '46.00');
INSERT INTO `adjuncts` VALUES (19, 'Candi Sugar (Blonde)', '30', NULL, NULL, '46.00');
INSERT INTO `adjuncts` VALUES (20, 'Candi Sugar (Dark)', '50', NULL, NULL, '46.00');


CREATE TABLE `extract` (
  `id` tinyint(4) NOT NULL auto_increment,
  `extractName` varchar(250) default NULL,
  `extractLovibond` varchar(10) default NULL,
  `extractInfo` text,
  `extractCategory` char(1) default NULL,
  `extractYield` varchar(250) default NULL,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;

INSERT INTO `extract` VALUES (1, 'DME - Extra Light', '3', NULL, '1', '44.00');
INSERT INTO `extract` VALUES (2, 'DME - Light', '3.5', NULL, '1', '44.01');
INSERT INTO `extract` VALUES (3, 'DME - Amber', '10', NULL, '1', '44.02');
INSERT INTO `extract` VALUES (4, 'DME - Dark', '30', NULL, '1', '44.03');
INSERT INTO `extract` VALUES (5, 'LME - Extra Light', '1', NULL, '1', '37.00');
INSERT INTO `extract` VALUES (6, 'LME - Light', '3.5', NULL, '1', '37.01');
INSERT INTO `extract` VALUES (7, 'LME - Amber', '10', NULL, '1', '37.02');
INSERT INTO `extract` VALUES (8, 'LME - Dark', '30', NULL, '1', '37.03');
INSERT INTO `extract` VALUES (9, 'LME - Munich', '10', NULL, NULL, '37.02');
INSERT INTO `extract` VALUES (10, 'LME - Pilsner', '6', NULL, NULL, '37.01');
INSERT INTO `extract` VALUES (11, 'LME - Wheat', '6', NULL, NULL, '37.01');

INSERT INTO `brewingcss` VALUES (NULL, 'brilliant.css', 'Brilliant', '#E4DBC3', '#D4C6A0');
INSERT INTO `brewingcss` VALUES (NULL, 'folly.css', 'Folly', '#fee39a', '#FEF1CD');
UPDATE `brewingcss` SET `themeName` = 'StylizedGreen' WHERE `brewingcss`.`id` =6 LIMIT 1 ;
UPDATE `brewingcss` SET `themeName` = 'StylizedBlue' WHERE `brewingcss`.`id` =7 LIMIT 1 ;
UPDATE `brewingcss` SET `themeName` = 'StylizedRed' WHERE `brewingcss`.`id` =8 LIMIT 1 ;

INSERT INTO `users` VALUES (NULL, 'admin', 'ee11cbb19052e40b07aac0ca060c23ee', 'Admin', 'User', '1');
INSERT INTO `users` VALUES (NULL, 'nonpriv', 'ee11cbb19052e40b07aac0ca060c23ee', 'Billy', 'Brewer', '2');

ALTER TABLE `preferences` ADD `allowAwards` CHAR(1) NULL AFTER `allowUpcoming`;
ALTER TABLE `preferences` ADD `allowCalendar` CHAR(1) NULL AFTER `allowAwards`;
ALTER TABLE `preferences` ADD `home` VARCHAR(250) NULL ;

UPDATE `preferences` SET `allowAwards` = 'Y',`allowCalendar` = 'Y', `home` = 'brewBlogCurrent' WHERE `preferences`.`id` =1 LIMIT 1 ;

UPDATE `hops` SET `hopsName` = 'Brewers Gold' WHERE `hops`.`id` =39 LIMIT 1;